Bug 772229 - Review Request: perftest - Performance testing programs for InfiniBand networks
Summary: Review Request: perftest - Performance testing programs for InfiniBand networks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Albert Strasheim
QA Contact: Fedora Extras Quality Assurance
URL: http://people.redhat.com/dledford/Pac...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-06 14:30 UTC by Doug Ledford
Modified: 2012-02-01 19:25 UTC (History)
4 users (show)

Fixed In Version: perftest-1.3.0-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-01 19:23:29 UTC
Type: ---
fenlason: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Doug Ledford 2012-01-06 14:30:06 UTC
The perftest utilities are used to perform performance testing on InfiniBand or other RDMA based networks.  They do not run on non-RDMA networks.  Sample packages can be found at the URL above.

Comment 1 Albert Strasheim 2012-01-09 13:23:56 UTC
The description says "Sample packages can be found at the URL above." which is a bit unclear. Is that the package URL or something else?

$ rpmlint perftest*
perftest.x86_64: W: spelling-error %description -l en_US uverbs -> verbs, u verbs
perftest.x86_64: W: spelling-error %description -l en_US microbenchmarks -> micro benchmarks, micro-benchmarks, benchmarks
perftest.x86_64: W: non-standard-group Productivity/Networking/Diagnostic
perftest.x86_64: W: obsolete-not-provided openib-perftest
perftest.x86_64: W: no-manual-page-for-binary ib_read_bw
perftest.x86_64: W: no-manual-page-for-binary ib_clock_test
perftest.x86_64: W: no-manual-page-for-binary ib_read_lat
perftest.x86_64: W: no-manual-page-for-binary ib_write_bw_postlist
perftest.x86_64: W: no-manual-page-for-binary ib_send_bw
perftest.x86_64: W: no-manual-page-for-binary ib_write_bw
perftest.x86_64: W: no-manual-page-for-binary rdma_lat
perftest.x86_64: W: no-manual-page-for-binary ib_write_lat
perftest.x86_64: W: no-manual-page-for-binary rdma_bw
perftest.x86_64: W: no-manual-page-for-binary ib_send_lat
perftest.spec:6: W: non-standard-group Productivity/Networking/Diagnostic
1 packages and 1 specfiles checked; 0 errors, 15 warnings.

/usr/share/doc/perftest-1.3.0/runme probably doesn't have to be packaged.

tools seem to work fine.

Comment 2 Albert Strasheim 2012-01-09 13:24:59 UTC
Sorry, I thought your comment was the package description.

Actually, your comment is more useful than the package description, which simply says "gen2 uverbs microbenchmarks".

Comment 3 Doug Ledford 2012-01-09 19:27:09 UTC
Updated the package description and dropped the runme file from docs.  New packages uploading to site as I type.

Comment 4 Doug Ledford 2012-01-10 21:22:17 UTC
New Package SCM Request
=======================
Package Name: perftest
Short Description: Very simple performance testing tools for InfiniBand networks
Owners: dledford
Branches: f15 f16
InitialCC:

Comment 5 Gwyn Ciesla 2012-01-11 00:56:03 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2012-01-11 18:23:21 UTC
perftest-1.3.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perftest-1.3.0-2.fc16

Comment 7 Fedora Update System 2012-01-11 18:23:29 UTC
perftest-1.3.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perftest-1.3.0-2.fc15

Comment 8 Fedora Update System 2012-01-14 03:56:27 UTC
perftest-1.3.0-2.fc16 has been pushed to the Fedora 16 testing repository.

Comment 9 Fedora Update System 2012-02-01 19:23:29 UTC
perftest-1.3.0-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 10 Fedora Update System 2012-02-01 19:25:13 UTC
perftest-1.3.0-2.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.